/*
 * Copyright (c) 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: util.h,v 1.4 2004/12/26 04:08:55 ca Exp $
 */

#ifndef SM_UTIL_H
#define SM_UTIL_H	1

#include "sm/generic.h"
#include "sm/types.h"
#include "sm/io.h"

extern void	 prt_fmtted(sm_file_T *_fp, int _indent, const char *_prefix, const char *_comment);

extern sm_ret_T	 sm_cpu_count(void);

extern sm_ret_T	 sm_set_dbglc(char **_ptr, uint _dbg[], uint _dbg_size);
extern sm_ret_T	 sm_set_dbgcats(char **_ptr, uint _dbg[], uint _dbg_size);

#endif /* SM_UTIL_H */
