/*
 * Copyright (c) 2004 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: bhtable.h,v 1.2 2004/12/26 04:09:00 ca Exp $
 */

#ifndef BHTABLE_H
#define BHTABLE_H	1
#define BHT_COMPILE

#if SM_TWO_KEYS
# include "sm/bht2.h"
#else /* SM_TWO_KEYS */
# include "sm/bhtable.h"
#endif /* SM_TWO_KEYS */

/* Minimum size for a hash table */
#define BHT_MIN_SIZE	13

extern sm_ret_T	 bht_init(sm_bht_P _table, uint _htsize);

#endif /* BHTABLE_H */
